PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X POST "https://api.pinecone.io/admin/projects" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-d '{ "name":"example-project" }'
# Target the organization for which you want to create
# a project.
pc target -o "example-org"
# Create the project.
pc project create -n "example-project"
{
"id": "32c8235a-5220-4a80-a9f1-69c24109e6f2",
"name": "example-project",
"max_pods": 20,
"force_encryption_with_cmek": false,
"organization_id": "-NM7af6f234168c4e44a",
"created_at": "2025-10-20T20:16:09.144497Z"
}
ATTRIBUTE VALUE
Name example-project
ID 32c8235a-5220-4a80-a9f1-69c24109e6f2
Organization ID -NM7af6f234168c4e44a
Created At 2025-10-20 20:19:51.448431 +0000 UTC
Force Encryption false
Max Pods 5
Projects
Create a new project
Creates a new project.
POST
/
admin
/
projects
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X POST "https://api.pinecone.io/admin/projects" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-d '{ "name":"example-project" }'
# Target the organization for which you want to create
# a project.
pc target -o "example-org"
# Create the project.
pc project create -n "example-project"
{
"id": "32c8235a-5220-4a80-a9f1-69c24109e6f2",
"name": "example-project",
"max_pods": 20,
"force_encryption_with_cmek": false,
"organization_id": "-NM7af6f234168c4e44a",
"created_at": "2025-10-20T20:16:09.144497Z"
}
ATTRIBUTE VALUE
Name example-project
ID 32c8235a-5220-4a80-a9f1-69c24109e6f2
Organization ID -NM7af6f234168c4e44a
Created At 2025-10-20 20:19:51.448431 +0000 UTC
Force Encryption false
Max Pods 5
PINECONE_ACCESS_TOKEN="YOUR_ACCESS_TOKEN"
curl -X POST "https://api.pinecone.io/admin/projects" \
-H "X-Pinecone-Api-Version: 2025-04" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-d '{ "name":"example-project" }'
# Target the organization for which you want to create
# a project.
pc target -o "example-org"
# Create the project.
pc project create -n "example-project"
{
"id": "32c8235a-5220-4a80-a9f1-69c24109e6f2",
"name": "example-project",
"max_pods": 20,
"force_encryption_with_cmek": false,
"organization_id": "-NM7af6f234168c4e44a",
"created_at": "2025-10-20T20:16:09.144497Z"
}
ATTRIBUTE VALUE
Name example-project
ID 32c8235a-5220-4a80-a9f1-69c24109e6f2
Organization ID -NM7af6f234168c4e44a
Created At 2025-10-20 20:19:51.448431 +0000 UTC
Force Encryption false
Max Pods 5
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Body
application/json
The details of the new project.
The name of the new project.
Required string length:
1 - 512Example:
"chatbot-prod"
The maximum number of Pods that can be created in the project. Default is 0 (serverless only).
Whether to force encryption with a customer-managed encryption key (CMEK). Default is false.
Response
The project was successfully created.
The details of a project.
The unique ID of the project.
The name of the project.
Required string length:
1 - 512The maximum number of Pods that can be created in the project.
Whether to force encryption with a customer-managed encryption key (CMEK).
The unique ID of the organization that the project belongs to.
The date and time when the project was created.
Was this page helpful?
⌘I